MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001955VCMIGUI - Adventure Mappublic2014-11-19 01:572016-09-12 03:42
ReporterSXX 
Assigned ToSXX 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformPCOSUbuntu LinuxOS Version14.04
Product Version0.97 
Target VersionFixed in Version0.98g 
Summary0001955: When running with GDB many rapid clicks / move commands cause client crash
DescriptionThis can be only reproduced with debugger attached. As far as I understand this might happen because game spawn new thread for each pathfinding action and GDB likely increase delay between it's spawn and exit.

Though this might indicate there is unsafe code that under certain conditions can cause crash without debugger so I decide to report it.
Steps To Reproduce  - Load game executable with GDB on Linux as "gdb vcmiclient".
  - In gdb console type "r" to run game.
  - Go to single player and start on any map. Though map to have enough hero movement.
  - Use all hero movement points as you like.
  - Now choose any pathable tile around.
  - Start to rapidly give move commands on it.
  - You should see new threads spawn/exit in console:
[New Thread 0x7fffe216d700 (LWP 6026)]
[Thread 0x7fffe216d700 (LWP 6026) exited]
[New Thread 0x7fffe216d700 (LWP 6028)]
[Thread 0x7fffe216d700 (LWP 6028) exited]


  - At some speed of clicks client will crash.
Additional InformationCurrent version from ppa:vcmi/ppa: 0.97+git20141118.3792~ubuntu14.04.1
As before all mods except "VCMI essential files" are disabled.
TagsNo tags attached.
Attached Filestxt file icon vcmiclient_gdb_crash.txt [^] (2,648 bytes) 2014-11-19 01:57 [Show Content]
txt file icon server_log.txt [^] (2,745 bytes) 2014-11-19 01:58 [Show Content]
txt file icon VCMI_Client_log.txt [^] (669,218 bytes) 2014-11-19 01:58 [Show Content]
txt file icon VCMI_Server_log.txt [^] (201,066 bytes) 2014-11-19 01:58 [Show Content]

- Relationships
has duplicate 0002348resolvedSXX Hotseat: crash on CTerrainRect::whichTileIsIt 
has duplicate 0002020resolvedSXX Crash during _my_ hero moving 
has duplicate 0002249resolvedSXX After doubleclick on map object game crashed 

-  Notes
(0006266)
SXX (administrator)
2016-01-09 12:41

Fixed:
https://github.com/vcmi/vcmi/commit/46e3d849af7bc198032deaea4e650c45af01de4f [^]

Mouse handling code still need improvement, but it's shouldn't crash.

- Issue History
Date Modified Username Field Change
2014-11-19 01:57 SXX New Issue
2014-11-19 01:57 SXX File Added: vcmiclient_gdb_crash.txt
2014-11-19 01:58 SXX File Added: server_log.txt
2014-11-19 01:58 SXX File Added: VCMI_Client_log.txt
2014-11-19 01:58 SXX File Added: VCMI_Server_log.txt
2014-11-22 19:08 SXX Product Version => 0.97
2015-12-24 13:22 SXX Relationship added has duplicate 0002348
2015-12-24 13:22 SXX Relationship added has duplicate 0002020
2016-01-09 12:41 SXX Note Added: 0006266
2016-01-09 12:41 SXX Status new => resolved
2016-01-09 12:41 SXX Fixed in Version => 0.98g
2016-01-09 12:41 SXX Resolution open => fixed
2016-01-09 12:41 SXX Assigned To => SXX
2016-01-10 15:19 SXX Category Mechanics - Adventure Map => GUI - Adventure Map
2016-09-12 03:42 SXX Relationship added has duplicate 0002249

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean